<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.siyeh.ig.bugs.ReturnNullInspection m_reportArrayMethods">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IncorrectMessageFormatInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ArrayObjectsEqualsInspection.Kind TO_DEEP_HASH_CODE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ObjectToStringInspection IGNORE_TOSTRING">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedStringBuilderQueryUpdateInspection.BuilderType com.siyeh.ig.bugs.MismatchedStringBuilderQueryUpdateInspection.BuilderType valueOf(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsOnSuspiciousObjectInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection ignoredClasses">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.SuspiciousDateFormatInspection.Token java.lang.String fixed()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ThrowableNeverThrownInspectionMerger">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MalformedFormatStringInspection additionalMethods">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ThisPassedAsArgumentVisitor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedArrayReadWriteInspection.MismatchedArrayReadWriteVisitor.ArrayReadWriteVisitor boolean isReferenced()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ReturnNullInspection m_reportCollectionMethods">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.SuspiciousDateFormatInspection.Problem java.lang.String intendedName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IncorrectDateTimeFormatInspection$1$1Token java.lang.String toString()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsWithItselfInspection ignoreNonFinalClassesInTest">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MalformedFormatStringInspection classNames">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ResultOfObjectAllocationIgnoredInspectionBase ignoredClasses">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.StringEqualsCharSequenceInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspectionBase ignoredClasses">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2822.15&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.NumberEqualityInspection.Filter boolean value(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ObjectEqualityInspectionMerger">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ArrayHashCodeInspection.Kind com.siyeh.ig.bugs.ArrayHashCodeInspection.Kind[] values()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsOnSuspiciousObjectInspection.ReplaceInfo.ComplexReplaceInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection.MismatchedQueryUpdateRunner java.util.Set&lt;java.lang.String&gt; ignoredClasses()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection queryNames">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ArrayHashCodeInspection.Kind ARRAY_HASH_CODE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection.MismatchedQueryUpdateRunner java.util.Set&lt;java.lang.String&gt; queryNames()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection updateNames">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection.QueryUpdateInfo boolean queried()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.SuspiciousDateFormatInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.SuspiciousDateFormatInspection.IncorrectDateFormatFix void applyFix(com.intellij.openapi.project.Project, com.intellij.codeInspection.ProblemDescriptor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsOnSuspiciousObjectInspection.ReplaceInfo NOT_AVAILABLE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.SortedCollectionWithNonComparableKeysInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3283.2&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsOnSuspiciousObjectInspection.ReplaceInfo.SimpleReplaceInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedStringBuilderQueryUpdateInspection.BuilderType com.siyeh.ig.bugs.MismatchedStringBuilderQueryUpdateInspection.BuilderType[] values()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection.QueryUpdateInfo boolean knownEmpty()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsWhichDoesntCheckParameterClassInspection.ParameterClassCheckVisitor boolean isChecked()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.BaseEqualsVisitor com.intellij.psi.PsiType getType(com.intellij.psi.PsiExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IncorrectMessageFormatInspection java.lang.String getMessageFormatTemplate(com.siyeh.ig.format.MessageFormatUtil.MessageFormatErrorType, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.SuspiciousComparatorCompareInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.SuspiciousDateFormatInspection.Problem com.siyeh.ig.bugs.SuspiciousDateFormatInspection.Token token()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedArrayReadWriteInspection.MismatchedArrayReadWriteVisitor.ArrayReadWriteVisitor boolean isWritten()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IncorrectDateTimeFormatInspection$1$1Token int pos()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ReturnNullInspection m_ignorePrivateMethods">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ObjectToStringInspection IGNORE_NONNLS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IncorrectMessageFormatInspection myMethodMatcher">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsBetweenInconvertibleTypesInspection WARN_IF_NO_MUTUAL_SUBCLASS_FOUND">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection.MismatchedQueryUpdateRunner boolean equals(java.lang.Object)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.FormatDecode.Validator">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.NumberEqualityInspection.Filter boolean isOneOfVariablesDefinitelyNull(com.intellij.psi.PsiElement, com.intellij.psi.PsiExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.FormatDecode com.siyeh.ig.bugs.FormatDecode.Validator[] decodePrefix(java.lang.String, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsWithItselfInspection boolean isEqualsWithItself(com.intellij.psi.PsiMethodCallExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection boolean isUnmodified(com.intellij.psi.PsiMethodCallExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ReflectionForUnavailableAnnotationInspection.SetRuntimeRetentionFix com.intellij.modcommand.Presentation getPresentation(com.intellij.modcommand.ActionContext, com.intellij.psi.PsiClass)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection.QueryUpdateInfo boolean updatedForNonEmpty()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ArrayObjectsEqualsInspection.Kind TO_EQUALS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ArrayObjectsEqualsInspection.Kind com.siyeh.ig.bugs.ArrayObjectsEqualsInspection.Kind valueOf(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ArrayObjectsEqualsInspection.Kind com.siyeh.ig.bugs.ArrayObjectsEqualsInspection.Kind[] values()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection.MismatchedQueryUpdateRunner java.util.Set&lt;java.lang.String&gt; updateNames()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.StringConcatenationMissingWhitespaceInspection.StringConcatenationMissingWhitespaceVisitor java.lang.String computeStringValue(com.intellij.psi.PsiExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IncorrectDateTimeFormatInspection$1$1Token boolean equals(java.lang.Object)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection.MismatchedQueryUpdateRunner java.lang.String toString()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection.MismatchedQueryUpdateRunner int hashCode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MalformedFormatStringInspection additionalClasses">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedStringCaseInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MalformedFormatStringInspection methodNames">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsBetweenInconvertibleTypesInspection.EqualsBetweenInconvertibleTypesVisitor boolean checkTypes(com.intellij.psi.PsiReferenceExpression, com.intellij.psi.PsiType, com.intellij.psi.PsiType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.UnsupportedChronoFieldUnitCallInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ReflectionForUnavailableAnnotationInspection.SetRuntimeRetentionFix void invoke(com.intellij.modcommand.ActionContext, com.intellij.psi.PsiClass, com.intellij.modcommand.ModPsiUpdater)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.NewObjectEqualityInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2940.10&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.SuspiciousInvocationHandlerImplementationInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.CopyConstructorMissesFieldInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IgnoreResultOfCallInspection m_reportAllNonLibraryCalls">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IncorrectDateTimeFormatInspection$1$1Token char character()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedStringBuilderQueryUpdateInspection.BuilderType ABSTRACT_STRING_BUILDER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.PrimitiveArrayArgumentToVariableArgMethodInspection boolean isConfusingArgument(com.intellij.psi.PsiCall, com.intellij.psi.PsiExpression, com.intellij.psi.PsiExpression[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.FormatDecode.FormatArgument java.lang.String calculatePrefixValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ThrowableNotThrownInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ObjectToStringInspection IGNORE_EXCEPTION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IncorrectDateTimeFormatInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ArrayHashCodeInspection.Kind com.siyeh.ig.bugs.ArrayHashCodeInspection.Kind valueOf(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsOnSuspiciousObjectInspection.ReplaceInfo.NotAvailableReplaceInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ReturnNullInspection m_reportObjectMethods">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IncorrectDateTimeFormatInspection$1$1Token int length()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.SuspiciousIntegerDivAssignmentInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsOnSuspiciousObjectInspection.ReplaceInfo com.siyeh.ig.bugs.EqualsOnSuspiciousObjectInspection.ReplaceInfo stringBuilders()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.NullArgumentToVariableArgMethodInspection boolean isSuspiciousVararg(com.intellij.psi.PsiCall, com.intellij.psi.PsiType, java.util.function.Supplier&lt;com.intellij.psi.PsiMethod&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.WriteOnlyObjectInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ArrayHashCodeInspection.Kind OBJECTS_HASH">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ObjectToStringInspection IGNORE_ASSERT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.FormatDecode.FormatArgument com.siyeh.ig.bugs.FormatDecode.FormatArgument extract(com.intellij.psi.PsiCallExpression, java.util.List&lt;java.lang.String&gt;, java.util.List&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MathRoundingWithIntArgumentInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedCollectionQueryUpdateInspection.QueryUpdateInfo boolean updated()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedStringBuilderQueryUpdateInspection.BuilderType STRING_JOINER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ArrayObjectsEqualsInspection.Kind TO_DEEP_EQUALS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.MismatchedArrayReadWriteInspection.MismatchedArrayReadWriteVisitor.ArrayReadWriteVisitor boolean isRead()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.SuspiciousDateFormatInspection.Problem java.lang.String usedName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ArrayObjectsEqualsInspection.Kind java.lang.String getNewMethodName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.ResultOfObjectAllocationIgnoredInspection ignoredClasses">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.EqualsOnSuspiciousObjectInspection.ReplaceInfo java.lang.String valueMethod()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.siyeh.ig.bugs.IncorrectDateTimeFormatInspection$1$1Token int hashCode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
</root>
